---
theme: ./
layout: cover
background: 'cover'
---

# Slidev Theme Starter

---
layout: image
image: /vm.png
---

Presentation slides for developers

---
background: 'common'
---

# What is Slidev?

Slidev is a slides maker and presenter designed for developers, consist of the following features

- 📝 **Text-based** - focus on the content with Markdown, and then style them later
- 🎨 **Themable** - theme can be shared and used with npm packages
- 🧑‍💻 **Developer Friendly** - code highlighting, live coding with autocompletion
- 🤹 **Interactive** - embedding Vue components to enhance your expressions
- 🎥 **Recording** - built-in recording and camera view
- 📤 **Portable** - export into PDF, PNGs, or even a hostable SPA
- 🛠 **Hackable** - anything possible on a webpage

<br>
<br>

Read more about [Why Slidev?](https://sli.dev/guide/why)


---

# Navigation

Hover on the bottom-left corner to see the navigation's controls panel

### Keyboard Shortcuts

|     |     |
| --- | --- |
| <kbd>space</kbd> / <kbd>tab</kbd> / <kbd>right</kbd> | next animation or slide |
| <kbd>left</kbd>  / <kbd>shift</kbd><kbd>space</kbd> | previous animation or slide |
| <kbd>up</kbd> | previous slide |
| <kbd>down</kbd> | next slide |

---
background: common
---

# Code

<div class="code-text-xl">

```dockerfile
RUN one
RUN two
RUN threeee
```

</div>

---
background: common
---

# Code (Lines)

<div class="code-text-xl">

```dockerfile {2|2,3}
RUN one
RUN two
RUN threeee
```

</div>

---
layout: two-cols-right-full
background: 'common'
---

# Code Two Cols

Use code snippets and get the highlighting directly!

::right::

```ts
interface User {
  id: number
  firstName: string
  lastName: string
  role: string
}

function updateUser(id: number, update: Partial<User>) {
  const user = getUser(id)
  const newUser = {...user, ...update}  
  saveUser(id, newUser)
}
```

---
layout: center
class: 'text-center'
background: 'center'
---

# Learn More

[Documentations](https://sli.dev) / [GitHub Repo](https://github.com/slidevjs/slidev)

---
layout: two-cols
background: common
title: My Title
---

- one
- two
- three

::right::

- four
- five
- six

---
layout: hexlet-next
---
